MAV_polygonGrp(3)

NAME
MAV_polygonGrp - Default object class ``polygon group''.

LEVEL
Maverik Level 1

SYNTAX

 typedef struct {
  int npolys;
  int *np;
  MAV_vector *norm;
  MAV_texCoord **tex;
  MAV_vector **vert;
  MAV_surfaceParams **sp;
  MAV_matrix matrix;
  void *userdef;
} MAV_polygonGrp;

DESCRIPTION
A polygon group is a number, npolys, of polygons, which share a common transformation matrix. Polygon groups can be used to define objects which comprise of many polygons without the rendering inefficiency of each polygon having an individual transformation matrix.